Anyone know how to install php5.2.x and PECL - Ubuntu

This is a discussion on Anyone know how to install php5.2.x and PECL - Ubuntu ; on 8.04.1 server version? I need this level for a project I'm working on. I've enabled backports but can't find the correct package. Suggestions???...

+ Reply to Thread
Results 1 to 5 of 5

Thread: Anyone know how to install php5.2.x and PECL

  1. Anyone know how to install php5.2.x and PECL

    on 8.04.1 server version? I need this level for a project I'm working on.
    I've enabled backports but can't find the correct package.

    Suggestions???


  2. Re: Anyone know how to install php5.2.x and PECL

    Bob M wrote:
    > on 8.04.1 server version? I need this level for a project I'm working on.
    > I've enabled backports but can't find the correct package.
    >
    > Suggestions???
    >


    sudo apt-get install php5 php-pear

  3. Re: Anyone know how to install php5.2.x and PECL

    Bob M wrote:
    > on 8.04.1 server version? I need this level for a project I'm working on.
    > I've enabled backports but can't find the correct package.
    >
    > Suggestions???



    apt-cache may help you.

    apt-cache search php
    apt-cache show php5
    apt-cache showpkg php5
    apt-cache policy php5

    Or even http://www.debian.org/distrib/packages#search_packages

    http://packages.debian.org/search?ke...ll&section=all

    The PECL (or pecl) searching finds only one item. Perhaps these control
    libraries are part of php5 from the DEB-APT repositories?

    john@ubuntu8.04svr:~$ apt-cache search php | grep PECL
    dh-make-php - Creates Debian source packages for PHP PEAR and PECL
    extensions

    http://www.google.com/search?q=pecl

    http://en.wikipedia.org/wiki/PHP_Ext...munity_Library

    HTH.

    --
    John

    No Microsoft, Apple, AT&T, Intel, Novell, Trend Micro, nor Ford products were used in the preparation or transmission of this message.

    The EULA sounds like it was written by a team of lawyers who want to tell me what I can't do. The GPL sounds like it was written by a human being, who wants me to know what I can do.

  4. Re: Anyone know how to install php5.2.x and PECL

    John F. Morse wrote:

    > apt-cache show php5
    > apt-cache showpkg php5


    Thank you both - but here's what's up:

    I have a working php 5.1.2 and it states PEAR is installed.

    However, for some development project I am doing it requires version 5.2.1+
    along with the associated PEAR/PECL to use json.

    I know that I can apt-get remove php5 and I've even enabled backporting but
    I cannot locate the php5.2.x package. I'll continue searching as one of
    you suggested.

    Thanks again.

  5. Re: Anyone know how to install php5.2.x and PECL

    Bob M wrote:

    > I cannot locate the php5.2.x package.


    http://packages.ubuntu.com/hardy-updates/php5 states it's 5.2.4?

    Otherwise, build from source.
    http://www.php.net/downloads.php#v5

+ Reply to Thread